package com.yeejoin.amos.fas.business.entity.mybatis;

import com.yeejoin.amos.fas.business.entity.mybatis.extend.FireEquipmentPointExtend;

import java.util.Date;

public class FireEquipmentPointEntity extends FireEquipmentPointExtend {

    private Long id;

    private String name;

    private String code;

    private Long fireEquipmentId;

    private Long createBy;

    private Date createDate;

    private String remark;

    private String type;

    private String value;

    private String unit;

    private String orgCode;

    private Long alarmType;
    
    private String alarmTypeName;

    private String fireEquipmentCode;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public Long getFireEquipmentId() {
        return fireEquipmentId;
    }

    public void setFireEquipmentId(Long fireEquipmentId) {
        this.fireEquipmentId = fireEquipmentId;
    }

    public Long getCreateBy() {
        return createBy;
    }

    public void setCreateBy(Long createBy) {
        this.createBy = createBy;
    }

    public Date getCreateDate() {
        return createDate;
    }

    public void setCreateDate(Date createDate) {
        this.createDate = createDate;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getValue() {
        return value;
    }

    public void setValue(String value) {
        this.value = value;
    }

    public String getUnit() {
        return unit;
    }

    public void setUnit(String unit) {
        this.unit = unit;
    }

    public String getOrgCode() {
        return orgCode;
    }

    public void setOrgCode(String orgCode) {
        this.orgCode = orgCode;
    }

    public Long getAlarmType() {
        return alarmType;
    }

    public void setAlarmType(Long alarmType) {
        this.alarmType = alarmType;
    }

    public String getFireEquipmentCode() {
        return fireEquipmentCode;
    }

    public void setFireEquipmentCode(String fireEquipmentCode) {
        this.fireEquipmentCode = fireEquipmentCode;
    }

	public String getAlarmTypeName() {
		return alarmTypeName;
	}

	public void setAlarmTypeName(String alarmTypeName) {
		this.alarmTypeName = alarmTypeName;
	}
}
